<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- This template must be included using a s:decorate element in a <ui:define name="body"> element-->
    <!-- parameters: validationType
                       managedBean (extends AbstractXMLValidator)-->
    <h:form id="globalForm">
        #{managedBean.init(validationType)}
        <s:div id="globalDiv" rendered="#{managedBean.getValidationDone() == false}">
            <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">
                <ui:param name="panel_id" value="ValidatorPanel"/>
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['gazelle.evs.client.cda.validator.panel.title']}"/>
                    <span class="pull-right">
                            <a4j:commandLink title="#{messages['net.ihe.gazelle.evs.ResetFilters']}"
                                             actionListener="#{managedBean.reset()}"
                                             render="@form" execute="xmlValidationToken">
                                <span class="gzl-icon-times-circle"/>
                            </a4j:commandLink>
                        </span>

                </ui:define>

                <s:div rendered="#{managedBean.standardDescription != null}">
                    <h:outputText id="standardDescription" value="#{managedBean.standardDescription}"
                                  styleClass="help-block"/>

                </s:div>
                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">

                    <ui:param name="id" value="urlId"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.evsclient.PasteHereTheURLToValidate']}</ui:define>

                    <h:inputTextarea id="urlId" value="#{managedBean.urlToValidate}" rows="4"
                                     required="true" styleClass="col-xs-12">
                        <a4j:ajax event="change" render="globalForm" />
                    </h:inputTextarea>

                </s:decorate>

                <h:outputText value="#{messages['net.ihe.gazelle.evs.SelectAValidator']}"
                              style="font-weight: bold;"/>

                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml"
                            rendered="#{managedBean.schematronBasedValidationService != null}">
                    <ui:define name="label">#{messages['net.ihe.gazelle.evs.Schematron']} : </ui:define>
                    <h:selectOneMenu styleClass="form-control gzl-form-control gzl-select-text" id="senddtxt"
                                     value="#{managedBean.selectedSchematron}">
                        <s:selectItems
                                value="#{managedBean.availableSchematrons}"
                                var="schematron" noSelectionLabel="#{messages['gazelle.common.PleaseSelect']}"
                                label="#{schematron}" />
                        <a4j:ajax event="change" render="panel_footer_id" />

                    </h:selectOneMenu>
                </s:decorate>

                <h:outputText value="#{messages['net.ihe.gazelle.evs.AndOr']} "
                              style="font-weight:bold;text-align:center;"
                              rendered="#{managedBean.modelBasedValidationService != null  and managedBean.schematronBasedValidationService != null}"/>


                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml"
                            rendered="#{managedBean.modelBasedValidationService != null}">
                    <ui:param name="id" value="senddtxt"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.evs.ModelBasedValidation']} : </ui:define>
                    <h:selectOneMenu styleClass="form-control gzl-form-control gzl-select-text" id="senddtxt"
                                     value="#{managedBean.selectedMBValidation}" render="panel_footer_id" >
                        <s:selectItems
                                value="#{managedBean.availableMBValidations}"
                                var="mbv" noSelectionLabel="#{messages['gazelle.common.PleaseSelect']}"
                                label="#{mbv}" />
                        <a4j:ajax event="change" render="panel_footer_id" />

                    </h:selectOneMenu>

                </s:decorate>

                <ui:define name="panel_footer">
                    <em class="pull-right">* #{messages['net.ihe.gazelle.evsclient.Required']}</em>
                    <a4j:commandButton id="validateCDAButton" styleClass="gzl-btn-blue"
                                       value="#{messages['gazelle.evs.client.validate']}"
                                       actionListener="#{managedBean.validateFile()}"
                                       oncomplete=" #{resultDisplayManager.init(managedBean.validatedFile.oid, validationType, null)};
                                       if(#{resultDisplayManager.sendBackResultToTool()})
                                                {jq162('#sendBackToCallingTool').modal('show')}
                                                else if (#{resultDisplayManager.displayInfoPopup()})
                                                {jq162('#infoPopup').modal('show')}
                                                else
                                                {jq162('#sendBackToCallingTool').modal('hide')}"
                                       rendered="#{managedBean.urlToValidate != null}"
                                       render="@form" execute="@form"/>
                    <a4j:commandButton id="resetButton" styleClass="btn btn-default"
                                       value="#{messages['net.ihe.gazelle.evs.Reset']}"
                                       actionListener="#{managedBean.reset()}" render="@form" execute="@form"/>
                </ui:define>

            </ui:decorate>
        </s:div>


        <s:div id="validationDiv" rendered="#{managedBean.getValidationDone()}">
            #{resultDisplayManager.init(managedBean.validatedFile.oid, validationType, null)}
            <ui:include id="detailedr" src="/dicom_web/detailedResult.xhtml"/>
        </s:div>

    </h:form>


</ui:composition>
